#!/bin/bash

function compile() {
   echo "COMPILING: $1"
   $1
   if [ $? -ne 0 ]; then
     echo "FAILED"
     exit 1
   fi
   echo "DONE"
}

compile "ocamllex scanner.mll" # create scanner.ml

compile "ocamlyacc parser.mly" # create parser.ml and parser.mli

compile "ocamlc -c ast.mli"

compile "ocamlc -c parser.mli"

compile "ocamlc -c scanner.ml"

compile "ocamlc -c parser.ml"

compile "ocamlc -c pts.ml"

compile "ocamlc -o pts parser.cmo scanner.cmo pts.cmo"
